### Method

# Gtk TextViewset_editable

#### Declaration [src]

    void
    gtk_text_view_set_editable (
      GtkTextView* text_view,
      gboolean setting
    )

#### Description [src]

Sets the default editability of the `GtkTextView`.

You can override this default setting with tags in the buffer, using the “editable” attribute of tags.

Sets property | `Gtk.TextView:editable`

#### Parameters

`setting`

  Type: `gboolean`

  Whether it’s editable.